      subroutine sto5
      character(300) ligne
      logical lex
      inquire(file='BID93',exist=lex)
      if(lex) then
         open(93,file='BID93',status='old')
         close(93,status='delete')
      endif
      open(93,file='BID93',status='new')
      do
         read(5,'(a)',end=1) ligne
         write(93,'(a)') trim(ligne)
      enddo
 1    continue
      rewind 93
      return
      end
 
      subroutine sto5_1(ifilr,ifilw,fil)
      character(300) ligne
      character(*) fil
      logical lex
      inquire(file=fil,exist=lex)
      if(lex) then
              open(ifilw,file=fil,status='old')
              close(ifilw,status='delete')
      endif
      open(ifilw,file=fil,status='new')
      do
      read(ifilr,'(a)',end=1) ligne
      write(ifilw,'(a)') trim(ligne)
      enddo
 1    continue
      rewind ifilw
      return
      end
 
